Bug 147861 - [patch] fix math/maxima with LC_MESSAGES
Summary: [patch] fix math/maxima with LC_MESSAGES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-15 06:40 UTC by buganini
Modified: 2010-08-08 23:09 UTC (History)
0 users

See Also:


Attachments
file.diff (631 bytes, patch)
2010-06-15 06:40 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2010-06-15 06:40:01 UTC
> locale
LANG=zh_TW.UTF-8
LC_CTYPE="zh_TW.UTF-8"
LC_COLLATE="zh_TW.UTF-8"
LC_TIME="zh_TW.UTF-8"
LC_NUMERIC="zh_TW.UTF-8"
LC_MONETARY="zh_TW.UTF-8"
LC_MESSAGES="zh_TW.UTF-8"
LC_ALL=

> ktrace maxima
Maxima 5.21.1 http://maxima.sourceforge.net

*** - UNIX error 20 (ENOTDIR): Not a directory
The following restarts are available:
MACSYMA-QUIT   :R1      Maxima top-level
Break 1 [1]> 
[eval.d:573] reset() found no driver frame (sp=0x7fbfe5d0-0x7fbf8250)

Exiting on signal 6
kAbort (core dumped)

> kdump -f ktrace.out | grep -C 3 "a dir"
 67098 lisp.run RET   lstat 0
 67098 lisp.run CALL  lstat(0x7fbf8f50,0x7fbf93e4)
 67098 lisp.run NAMI  "/usr/share/locale/zh_TW.UTF-8/LC_MESSAGES/maxima.mo"
 67098 lisp.run RET   lstat -1 errno 20 Not a directory
 67098 lisp.run CALL  setitimer(0,0x7fbf8e8c,0x7fbf8e7c)
 67098 lisp.run RET   setitimer 0
 67098 lisp.run CALL  getuid

Fix: ${WRKSRC}/src/intl.lisp (installed as /usr/local/share/maxima/5.21.1/src/intl.lisp)
has a line (defvar *locale-directories* '(#p"/usr/share/locale/"))
that is the problem, /usr/share/locale/zh_TW.UTF-8/LC_MESSAGES is a file but not a directory in FreeBSD system.

Patch attached with submission follows:
How-To-Repeat: set LC_MESSAGES other than C and run maxima
Comment 1 buganini 2010-06-20 07:07:26 UTC
Hi, could you take a look at this patch, please?

--Buganini
Comment 2 b. f. 2010-06-23 17:42:41 UTC
Yes, I'll try to look at it soon. And fix the auto-assign.

Regards,
                b.

On 6/20/10, Buganini <buganini@gmail.com> wrote:
> Hi, could you take a look at this patch, please?
>
> --Buganini
>
Comment 3 Brendan Fabeny freebsd_committer 2010-07-08 17:57:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-08-06 22:48:44 UTC
bf          2010-08-06 21:48:35 UTC

  FreeBSD ports repository

  Modified files:
    math/maxima          Makefile distinfo pkg-plist 
  Removed files:
    math/maxima/files    patch-interfaces-xmaxima-doc-xmaxima.texi 
  Log:
  -Update to 5.22.0
  -Fix a localization problem [1]
  -Temporarily rename regression-test target to prevent tinderbox
  errors WITH_SBCL
  (See http://www.math.utexas.edu/pipermail/maxima/2010/022185.html )
  
  PR:             147861 [1]
  Submitted by:   Kuan-Chung Chiu <buganini@gmail.com> [1]
  Approved by:    makc (co-mentor)
  
  Revision  Changes    Path
  1.58      +4 -3      ports/math/maxima/Makefile
  1.22      +3 -3      ports/math/maxima/distinfo
  1.2       +0 -15     ports/math/maxima/files/patch-interfaces-xmaxima-doc-xmaxima.texi (dead)
  1.21      +12 -1     ports/math/maxima/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2010-08-08 23:09:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!